/* eslint-disable */
/**liuwh
 * 4/27/2020, 3:00:42 PM
 * doc comment for the file goes here
 */

/** Happy Coding */
import React, { ReactNode, ReactEventHandler, Component, useEffect, useState } from 'react';
// import { Link } from 'react-router-dom';
import { Icon, Tabs, Avatar, Spin, Empty } from 'antd';
import './index.scss';
const { TabPane } = Tabs;
import fetch from '../../../api/request';
import moment from 'moment';

export default function FindAlreadyReadOrNotView({ documentId }) {
  useEffect(() => {
    console.log('documentId', documentId);
    Promise.all([initDataByType('1', setLoading1, setData1), initDataByType('2', setLoading2, setData2)]).then(res => {
      console.log(res);
    })
  }, []);

  function initDataByType(type, setLoading, setData) {

    setLoading(true);
    let p = new Promise((resolve, reject) => {
      fetch({
        url: `api/document/noticeRecord/findAlreadyReadOrNot`,
        params: {
          documentId,
          alreadyRead: type
        }
      }).then(res => {
        console.log('res'.res);
        setLoading(false);
        if (res) {
          setData(res);
          resolve(true);
        }
      })
    });
    return p;
  }

  const [activeKey, setActiveKey] = useState('1');
  const [loading1, setLoading1] = useState(false);
  const [loading2, setLoading2] = useState(false);

  const [data1, setData1] = useState([]);
  const [data2, setData2] = useState([]);

  function onchange(key) {
    console.log(key);
  }

  return (
    <div className="find-already-read-or-not-view-main">
      <Tabs defaultActiveKey="1" onChange={onchange}>
        <TabPane tab={`未读（${data1.length}）`} key="1">
          <Spin spinning={loading1} style={{ height: 100 }}>
            <div className="modal-list">
              {
                data1.map((a) => (
                  <div className="flex-box-row align-center space-between modal-list-item" key={a.id}>
                    <span className="modal-label">{a.noticeUserName || '无'}</span>
                  </div>
                ))
              }
              {
                data1.length == 0 && <Empty />
              }
            </div>
          </Spin>
        </TabPane>
        <TabPane tab={`已读（${data2.length}）`} key="2">
          <Spin spinning={loading2} style={{ height: 100 }}>
            <div className="modal-list" >
              {
                data2.map((a) => (
                  <div className="flex-box-row align-center space-between modal-list-item" key={a.id}>
                    <span className="modal-label">{a.noticeUserName || '无'}</span>
                    <span className="modal-time">{a.updateTime ? moment(a.updateTime).format("YYYY-MM-DD HH:mm:ss") : '无'}</span>
                  </div>
                ))
              }
              {
                data2.length == 0 && <Empty />
              }
            </div>
          </Spin>
        </TabPane>
      </Tabs>
    </div>
  )
}
